Subject: Re: bug#57856: 28.2; bookmark context strings in encrypted files

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Sep 2022 15:01:28 +0200

Gustavo Barros <[email-masked]> writes:

> But, to be honest, I'm not even sure if this being optional is
> particularly meaningful.  Do you see any use case where one would
> actually want to store unencrypted context of an encrypted file?

I could imagine somebody just .gpg-ing most of their files on principle
without them really being "secret", and wanting the bookmark feature to
work properly (and for that you have to have the context).

But that's probably a very unusual setup, so perhaps just setting
bookmark-search-size to 0 in these buffers is the best (and least
annoying) way to go.  And if somebody wants to override this, they can
do it from some hook...